std::hash< __debug::vector< bool, _Alloc > > Struct Template Reference

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (const __debug::vector< bool, _Alloc > &__b) const noexcept

## Detailed Description

### template<typename _Alloc>
struct std::hash< __debug::vector< bool, _Alloc > >

std::hash specialization for vector<bool>.

Definition at line 788 of file debug/vector.

The documentation for this struct was generated from the following file:

- debug/vector